{% extends 'base.html' %}
<!DOCTYPE html>
{% block content %}
  <div class="project-detail">
    <h1>{{project.name}}</h1>
    <p>{{project.description}}</p>
    <h2>Tasks</h2>
    <p>
    <a href="{% url 'create_task' %}" class="#">
      <button class="project-button">Create Task</button>
    </a>
    </p>
    {% if details %}
      <table>
        <thead>
          <tr>
            <th>Name</th>
            <th>Assignee</th>
            <th>Start date</th>
            <th>Due date</th>
            <th>Is completed</th>
          </tr>
        </thead>
        <tbody>
        {% for item in details %}
          <tr>
            <td>{{ item.name }}</td>
            <td>{{ item.assignee }}</td>
            <td>{{ item.start_date|date:"M, d, Y" }}</td>
            <td>{{ item.due_date|date:"M, d, Y" }}</td>
            <td>{{ item.is_completed|yesno:'✅,❌' }}</td>
          </tr>
        {% endfor %}
        </tbody>
      </table>
    {% else %}
      <p>This project has no tasks</p>
    {% endif %}
  </div>
{% endblock %}
